Bug 119770 - Installer does not work on Ubuntu
Installer does not work on Ubuntu
Status: RESOLVED DUPLICATE of bug 117172
Product: installer
Classification: Unclassified
Component: Tools bundle
6.x
PC Linux
: P3 (vote)
: TBD
Assigned To: issues@installer
issues@installer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-23 13:16 UTC by simtec
Modified: 2007-10-23 14:07 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description simtec 2007-10-23 13:16:04 UTC
I tried to install Netbeans 6 Beta 2 on Linux (Ubuntu 7.10 gutsy) and get the following error:

$ ./netbeans-6.0beta2-linux.sh
$ Configuring the installer...
$ Searching for JVM on the system...
$ Extracting installation data...
$ Running the installer wizard...
$ /usr/share/themes/Clearlooks/gtk-2.0/gtkrc:42: error: lexical error or unexpected token, expected valid token

The installer stops with a blank/grey dialog after this error.


After changing the theme to Human:

$ /usr/share/themes/Human/gtk-2.0/gtkrc:71: Engine "ubuntulooks" is unsupported, ignoring
$ /usr/share/themes/Human/gtk-2.0/gtkrc:242: Priority specification is unsupported, ignoring

$ java -version
java version "1.6.0_03"
Java(TM) SE Runtime Environment (build 1.6.0_03-b05)
Java HotSpot(TM) Server VM (build 1.6.0_03-b05, mixed mode)
Comment 1 dlipin 2007-10-23 14:07:19 UTC
Symptoms are very similir to descriped in the Issue 117172.
Most probalby it is the Swing bug.
Try the workaround (export AWT_TOOLKIT=MToolkit) and reopen the issue if it doesn`t work for you.

*** This issue has been marked as a duplicate of 117172 ***


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo